Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.authorize
Class PolicyProvider

    java.lang.Object
      org.apache.hadoop.security.authorize.PolicyProvider

Direct Known Subclasses:
  MapReducePolicyProvider

    public abstract class PolicyProvider

extends Object

`PolicyProvider` provides the `Service` definitions to the security `Policy` in effect for Hadoop.

Field Summary
`static PolicyProvider` | `DEFAULT_POLICY_PROVIDER` A default `PolicyProvider` without any defined services.
`static String` | `POLICY_PROVIDER_CONFIG` Configuration key for the `PolicyProvider` implementation.

Constructor Summary
`PolicyProvider()`

Method Summary
`abstract Service[]` | `getServices()` Get the `Service` definitions from the `PolicyProvider`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POLICY_PROVIDER_CONFIG

    public static final String POLICY_PROVIDER_CONFIG

  Configuration key for the `PolicyProvider` implementation.

  See Also:
    Constant Field Values

### DEFAULT_POLICY_PROVIDER

    public static final PolicyProvider DEFAULT_POLICY_PROVIDER

  A default `PolicyProvider` without any defined services.

Constructor Detail

### PolicyProvider

    public PolicyProvider()

Method Detail

### getServices

    public abstract Service[] getServices()

  Get the `Service` definitions from the `PolicyProvider`.

  Returns:
    the `Service` definitions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation